Skip to main content

Create/update an ApplicationConfigurationVariable group and create/update an ApplicationConfigurationVariable in that…

PUT 

/qsystem/rest/config/applications/:applicationId/variables/groups/:groupName/:key

Create/update an ApplicationConfigurationVariable group and create/update an ApplicationConfigurationVariable in that group.

  • The applicationId provided must not be null/empty and must represent a valid application that exists in Orchestra.

  • The ApplicationConfigurationVariable value must not be null or empty.

  • The ApplicationConfigurationVariable key must not be null or empty

  • The ApplicationConfigurationVariable key must not exceed 255 characters

  • The ApplicationConfigurationVariable key must be composed using only the following characters : [A-Z],[a-z],[0-9],[-],[_],[@],[|]

  • The key specified in the REST path must not be null, and must match the ApplicationConfigurationVariable key in the input object.

  • The groupName provided in the REST path must not be null/empty

  • The groupName must be composed using only the following characters : [A-Z],[a-z],[0-9],[-],[_],[@],[|]

  • If an ApplicationConfigurationVariable group with the same groupName does not exist in the application, this REST call will create a group called groupName, and then create the specified ApplicationConfigurationVariable inside that group.

  • If the groupName provided represents an existing ApplicationConfigurationVariable group within the application, then this REST call will either create or update an existing ApplicationConfigurationVariable with the matching key inside this group.

  • The ApplicationConfigurationVariable value containing JavaScript is not acceptable.

  • The ApplicationConfigurationVariable JSON object provided as input to this REST call, must not be null

  • The ApplicationConfigurationVariable JSON object provided must be valid. Example of a valid ApplicationConfigurationVariable JSON object: If you are creating a new variable, or updating an existing variable with a description: { "key":"variable1", "value":"value1", "description":"Description for variable1" }

  • If you are creating a new variable with an empty description, OR, if you are updating an existing variable without making any change to it's current description: { "key":"variable1", "value":"value1", }

  • The key specified in the REST path must match the key field in the input ApplicationConfigurationVariable JSON object. For example, if the REST path looks like http://orchestra-host:orchestra-port/qsystem/rest/config/applications/{applicationId}/variables/groups/{groupName}/variableXYZ Then the input ApplicationConfigurationVariable JSON object could look like: { "key":"variableXYZ", "value":"value1", }

Usage:

curl -u user:password -i -X PUT -H 'content-type:application/json'
http://orchestra-host:orchestra-port/qsystem/rest/config/applications/{applicationId}/variables/groups/{groupName}/variable1
-d '{
"key":"variable1",
"value":"value1",
"description":"Description for variable1"
}'

Note: The 'description' field in a valid ApplicationConfigurationVariable object is optional. It can be null or empty.

Request​

Responses​

A JSON object of the created/updated ApplicationConfigurationVariable.